{
N = 1000
  c    
}

{$APPTYPE CONSOLE}
{$Q+,R+}

program gen;
var
  l, d, r: array[1..1000] of integer;
  n: integer;
  ll: integer;
  i: integer;  

  procedure add(ll, dd, rr: integer);
  begin
    inc(n);
    l[n] := ll; d[n] := dd; r[n] := rr;
  end;

  procedure swapint(var a, b: integer);
  var
    tmp: integer;
  begin
    tmp := a;
    a := b;
    b := tmp;
  end;

  procedure init;
  begin
    RandSeed := 467619;
    n := 0;
  end;

  procedure shuffle;
  var
    a, b: integer;
    i: integer;
  begin
    RandSeed := 571891;
    for i := 1 to 2*n do
    begin
      a := random(n)+1; b := random(n)+1;
      swapint(l[a], l[b]);
      swapint(d[a], d[b]);
      swapint(r[a], r[b]);
    end;    
  end;

  procedure print;
  var
    i: integer;
  begin
    assign(output, 'input.txt');
    rewrite(output);
    writeln(n);
    for i := 1 to n do
    begin
      if (i > 1) then
        writeln;
      write(l[i], ' ', d[i], ' ', r[i]);
    end;
    close(output);      
  end;

begin
  init;
  for i := 1 to 1000 do
  begin
    ll := 1+random(30);
    add(ll, 600+random(400)+1, 1+random(1000));
  end;

  shuffle;
  print;
end.
